View Issue Details

IDProjectCategoryView StatusLast Update
0000398SOGoWeb Preferencespublic2010-03-11 16:51
Reportercameronb Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.2.0 
Target Version1.2.2Fixed in Version1.2.2 
Summary0000398: defaultbc link not created in sieve directory when activating Vacation or Forward scripts
Description

The defaultbc link (sieve directory)is only created when both SOGoForwardEnabled and SOGoVacationEnabled are set to "YES" and both scripts are enabled in Web Preferences.

If you only have one option set to "YES" in .GNUstepDefaults then enabling the script in Web Preferences does not create the defaultbc link.

If you have both options set to "YES" in .GNUstepDefaults then enable only one script in Web Preferences, it does not create the defaultbc link.

If you have both options set to "YES" in .GNUstepDefaults then enable both Vacation and Forward scripts in Web Preferences, it does create the defaultbc link. You can then disable one of the scripts and the defaultbc link remains.

Additional Information

Debian (Lenny) platform
sogo 1.2.0.20100128 package
cyrus-imapd-2.2 2.2.13-14+lenny3 package

TagsNo tags attached.

Relationships

has duplicate 0000446 resolvedwsourdeau Activating sieve script on the mail-server by using SOGo -> Preferences -> Vacation 
has duplicate 0000450 resolvedwsourdeau Sieve script not activated 
has duplicate 0000432 resolvedwsourdeau Sieve delete and upload script error 

Activities

wsourdeau

wsourdeau

2010-03-11 16:51

viewer   ~0000711

Fixed in ae2731aedf2ba81e571b426efe36751b90702b6b

Issue History

Date Modified Username Field Change
2010-01-28 12:32 cameronb New Issue
2010-02-13 14:09 ludovic Status new => assigned
2010-02-13 14:09 ludovic Assigned To => ludovic
2010-02-13 14:09 ludovic Target Version => 1.2.1
2010-02-18 15:33 ludovic Target Version 1.2.1 =>
2010-02-23 09:14 ludovic Target Version => 1.2.2
2010-03-11 16:51 wsourdeau Note Added: 0000711
2010-03-11 16:51 wsourdeau Status assigned => resolved
2010-03-11 16:51 wsourdeau Fixed in Version => 1.2.2
2010-03-11 16:51 wsourdeau Resolution open => fixed
2010-03-11 16:52 wsourdeau Relationship added has duplicate 0000446
2010-03-12 16:38 wsourdeau Relationship added has duplicate 0000450
2010-03-12 16:41 wsourdeau Relationship added has duplicate 0000432